You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Heiko Z. <smi...@us...> - 2008-10-27 14:38:22
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv18845/scripts Modified Files: open-vm-tools Log Message: - updated cracklib to 2.8.13 - updated open-vm-tools to 2008.10.10-123053 - updated openldap to 2.4.12 - updated patch-o-matic-ng to 20081023 - updated samba to 3.0.32 - updated squid to 3.0.STABLE9 - updated stunnel to 4.26 Index: open-vm-tools =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/open-vm-tools,v retrieving revision 1.6 retrieving revision 1.7 diff -u -d -r1.6 -r1.7 --- open-vm-tools 16 Jun 2008 17:41:54 -0000 1.6 +++ open-vm-tools 27 Oct 2008 14:38:16 -0000 1.7 @@ -23,11 +23,11 @@ # source functions and config source $MYDIR/settings - case $1 in build ) if [ "$CONFIG_OPEN_VM_TOOLS" = "y" ]; then - CC="gcc -U_FORTIFY_SOURCE -fno-PIE" LDFLAGS=-liconv ./configure --prefix=/usr --without-x --without-icu || exit 1 + CC="gcc -U_FORTIFY_SOURCE -fno-PIE" LDFLAGS=-liconv ./configure --prefix=/usr --without-x \ + --without-icu --with-kernel-release=${KERNELVERSION} || exit 1 make all modules || exit 1 fi ;; |
|
From: Heiko Z. <smi...@us...> - 2008-10-24 22:37:55
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv9202 Modified Files: dovecot Log Message: dovecot config file got moved Index: dovecot =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/dovecot,v retrieving revision 1.5 retrieving revision 1.6 diff -u -d -r1.5 -r1.6 --- dovecot 18 Jun 2007 17:50:35 -0000 1.5 +++ dovecot 24 Oct 2008 22:37:49 -0000 1.6 @@ -23,7 +23,7 @@ NAME="Dovecot" CONFIGNAME=DOVECOT DAEMON=/usr/sbin/dovecot -PARAMETER="-c /etc/dovecot.conf" +PARAMETER="-c /etc/dovecot/dovecot.conf" # source function library source /etc/init.d/functions |
|
From: Serge L. <sma...@us...> - 2008-10-24 22:04:55
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv2468 Modified Files: linux-wlan-ng Log Message: - another oops. Typo in the patch name Index: linux-wlan-ng =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/linux-wlan-ng,v retrieving revision 1.25 retrieving revision 1.26 diff -u -d -r1.25 -r1.26 --- linux-wlan-ng 23 Oct 2008 17:52:23 -0000 1.25 +++ linux-wlan-ng 24 Oct 2008 22:04:48 -0000 1.26 @@ -41,7 +41,7 @@ echo "TARGET_ROOT_ON_HOST=$TMPDIR" >> default.config if [ ! -f .dl_patch_done ]; then - bzcat $SRCDIR/lnux-wlan-ng-build_2-6-26.dpatch.bz2 | patch -p1 || exit 1 + bzcat $SRCDIR/linux-wlan-ng-build_2-6-26.dpatch.bz2 | patch -p1 || exit 1 touch .dl_patch_done fi |
|
From: Serge L. <sma...@us...> - 2008-10-23 22:16:36
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv16845 Modified Files: pam_ldap pam_mysql pam-pgsql Log Message: - fixed installation Index: pam_ldap =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/pam_ldap,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- pam_ldap 15 Jan 2006 11:29:07 -0000 1.2 +++ pam_ldap 23 Oct 2008 21:51:25 -0000 1.3 @@ -35,7 +35,11 @@ make install || exit 1 fi - + ;; + install ) + if [ "$CONFIG_OPENLDAPLIB" = "y" ]; then + install -c -m 755 -o root pam_ldap.so $CDDIR/lib/security/ || exit 1 + fi ;; * ) echo "ERROR ($0)" Index: pam_mysql =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/pam_mysql,v retrieving revision 1.3 retrieving revision 1.4 diff -u -d -r1.3 -r1.4 --- pam_mysql 16 Feb 2006 16:37:37 -0000 1.3 +++ pam_mysql 23 Oct 2008 21:51:25 -0000 1.4 @@ -40,6 +40,7 @@ ;; install ) if [ "$CONFIG_MYSQL_CLIENT" = "y" ]; then + install -c -m 755 -o root .libs/pam_mysql.so $CDDIR/lib/security || exit 1 install -d -m 755 $CDDIR/usr/share/doc/pam-mysql install -c -m 644 NEWS README $CDDIR/usr/share/doc/pam-mysql/ fi Index: pam-pgsql =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/pam-pgsql,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- pam-pgsql 15 Jan 2006 11:29:07 -0000 1.2 +++ pam-pgsql 23 Oct 2008 21:51:25 -0000 1.3 @@ -44,6 +44,7 @@ ;; install ) if [ "$CONFIG_POSTGRESQL_CLIENT" = "y" ]; then + install -c -m 755 -o root pam_pgsql.so $CDDIR/lib/security/ || exit 1 install -d -m 755 $CDDIR/usr/share/doc/libpam-pgsql || exit 1 install -c -m 644 README $CDDIR/usr/share/doc/libpam-pgsql || exit 1 fi |
|
From: Serge L. <sma...@us...> - 2008-10-23 22:15:43
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv16454 Modified Files: pam_radius Log Message: - fixed installation Index: pam_radius =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/pam_radius,v retrieving revision 1.5 retrieving revision 1.6 diff -u -d -r1.5 -r1.6 --- pam_radius 1 May 2007 00:30:31 -0000 1.5 +++ pam_radius 23 Oct 2008 21:49:50 -0000 1.6 @@ -30,14 +30,14 @@ make $PMAKE || exit 1 strip_debug # install it in local system, because other programs could need it - cp -p pam_radius_auth.so /lib/security || exit 1 + install -c -m 755 -o root pam_radius_auth.so /lib/security || exit 1 fi ;; install ) if [ "$CONFIG_FREERADIUS" = "y" ]; then - + install -c -m 755 -o root pam_radius_auth.so $CDDIR/lib/security || exit 1 install -d -m 755 $CDDIR/usr/share/doc/pam-radius install -c -m 644 USAGE README $CDDIR/usr/share/doc/pam-radius/ |
|
From: Heiko Z. <smi...@us...> - 2008-10-23 18:17:51
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv2391 Modified Files: dovecot Log Message: dovecot got it's own config dir now Index: dovecot =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/dovecot,v retrieving revision 1.14 retrieving revision 1.15 diff -u -d -r1.14 -r1.15 --- dovecot 23 Oct 2008 02:46:40 -0000 1.14 +++ dovecot 23 Oct 2008 18:17:45 -0000 1.15 @@ -56,7 +56,7 @@ rm -rf $TMPDIR/usr/share || exit 1 cp -dpR $TMPDIR/usr $CDDIR/ || exit 1 - cp $TMPDIR/etc/* $ETCDIR/etc || exit 1 + cp -dpR $TMPDIR/etc/* $ETCDIR/etc || exit 1 rm -rf $TMPDIR || exit 1 mkdir -p $CDDIR/var/run/dovecot/login || exit 1 |
|
From: Serge L. <sma...@us...> - 2008-10-23 17:52:28
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv32762 Modified Files: linux-wlan-ng Log Message: oops... Index: linux-wlan-ng =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/linux-wlan-ng,v retrieving revision 1.24 retrieving revision 1.25 diff -u -d -r1.24 -r1.25 --- linux-wlan-ng 23 Oct 2008 02:52:06 -0000 1.24 +++ linux-wlan-ng 23 Oct 2008 17:52:23 -0000 1.25 @@ -41,7 +41,7 @@ echo "TARGET_ROOT_ON_HOST=$TMPDIR" >> default.config if [ ! -f .dl_patch_done ]; then - bzcat $DL_DIR/src/lnux-wlan-ng-build_2-6-26.dpatch.bz2 | patch -p1 || exit 1 + bzcat $SRCDIR/lnux-wlan-ng-build_2-6-26.dpatch.bz2 | patch -p1 || exit 1 touch .dl_patch_done fi |
|
From: Serge L. <sma...@us...> - 2008-10-23 03:20:43
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv23432 Modified Files: ipsec-tools Log Message: - Per Peter Jannesen's request "--enable-stats" was removed Index: ipsec-tools =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/ipsec-tools,v retrieving revision 1.11 retrieving revision 1.12 diff -u -d -r1.11 -r1.12 --- ipsec-tools 23 Oct 2007 13:17:47 -0000 1.11 +++ ipsec-tools 23 Oct 2008 03:20:37 -0000 1.12 @@ -40,7 +40,7 @@ fi ./bootstrap CC="gcc -D_FORTIFY_SOURCE=0" ./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc/ipsec-tools --with-kernel-headers=/usr/include \ - --enable-frag --enable-stats --enable-dpd --enable-natt --with-libpam $LIBS --enable-hybrid \ + --enable-frag --enable-dpd --enable-natt --with-libpam $LIBS --enable-hybrid \ --enable-adminport --enable-fastquit --disable-security-context || exit 1 make || exit 1 make install || exit 1 |
|
From: Serge L. <sma...@us...> - 2008-10-23 03:08:08
|
Update of /cvsroot/devil-linux/build In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv19476 Modified Files: md5sum.lst Log Message: - corrected md5for ppp-patches Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.458 retrieving revision 1.459 diff -u -d -r1.458 -r1.459 --- md5sum.lst 23 Oct 2008 02:44:35 -0000 1.458 +++ md5sum.lst 23 Oct 2008 03:07:59 -0000 1.459 @@ -459,7 +459,7 @@ 6b4b848bdd2239dddfc9d385e57e19ef src/postfix-2.5.5.tar.gz c339b9d3c0c4add64c7a76640fc93744 src/postgresql-8.3.4.tar.bz2 183800762e266132218b204dfb428d29 src/ppp-2.4.4.tar.gz -162619419f060527d2d94a0e64e21d99 src/ppp-patches.tar.bz2 +bccbf8c43e9e249bbb0cb58d8a4302b1 src/ppp-patches.tar.bz2 4c3d19286a37459a632c7128c92a9857 src/pptp-1.7.2.tar.gz 4918e0840fa7a14a985fccc22b7025d4 src/pptp-patches.tar.bz2 b38df9c431041922c997c1148bedf591 src/pptpd-1.3.4.tar.gz |
|
From: Serge L. <sma...@us...> - 2008-10-23 03:04:57
|
Update of /cvsroot/devil-linux/build/scripts/config/linux-2.6 In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv18853/config/linux-2.6 Modified Files: config_linux config_pax Log Message: - update to kernel 2.6.26.6 Index: config_pax =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/linux-2.6/config_pax,v retrieving revision 1.7 retrieving revision 1.8 diff -u -d -r1.7 -r1.8 --- config_pax 25 Nov 2007 15:14:48 -0000 1.7 +++ config_pax 23 Oct 2008 03:04:51 -0000 1.8 @@ -16,3 +16,4 @@ CONFIG_PAX_RANDMMAP=y # CONFIG_PAX_MEMORY_SANITIZE is not set # CONFIG_PAX_MEMORY_UDEREF is not set +# CONFIG_PAX_REFCOUNT is not set \ No newline at end of file Index: config_linux =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/linux-2.6/config_linux,v retrieving revision 1.52 retrieving revision 1.53 diff -u -d -r1.52 -r1.53 --- config_linux 4 Jun 2008 11:45:56 -0000 1.52 +++ config_linux 23 Oct 2008 03:04:51 -0000 1.53 @@ -1,9 +1,14 @@ # # Automatically generated make config: don't edit -# Linux kernel version: 2.6.23.1 -# Mon Oct 22 12:52:21 2007 +# Linux kernel version: 2.6.26.5 +# Thu Oct 9 23:34:03 2008 # +# CONFIG_64BIT is not set CONFIG_X86_32=y +# CONFIG_X86_64 is not set +CONFIG_X86=y [...2391 lines suppressed...] -CONFIG_MEMSTICK_DEBUG=n -CONFIG_MEMSTICK_UNSAFE_RESUME=n -CONFIG_MSPRO_BLOCK=m -CONFIG_MEMSTICK_TIFM_MS=m -CONFIG_MEMSTICK_JMICRON_38X=m -CONFIG_LEDS_CLEVO_MAIL=n -CONFIG_RTC_DRV_S35390A=m -CONFIG_RTC_DRV_R9701=m -CONFIG_RTC_DRV_DS1511=m -CONFIG_LATENCYTOP=n -CONFIG_PROVIDE_OHCI1394_DMA_INIT=n -CONFIG_IO_DELAY_0X80=y -CONFIG_IO_DELAY_0XED=n -CONFIG_IO_DELAY_UDELAY=n -CONFIG_IO_DELAY_NONE=n -CONFIG_CPA_DEBUG=n -CONFIG_CRYPTO_DEV_HIFN_795X=m -CONFIG_CRYPTO_DEV_HIFN_795X_RNG=y -CONFIG_VIRTIO_PCI=m -CONFIG_VIRTIO_BALLOON=m |
|
From: Serge L. <sma...@us...> - 2008-10-23 03:03:22
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv18191 Modified Files: php Log Message: - moved after net-snmp Index: php =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/php,v retrieving revision 1.23 retrieving revision 1.24 diff -u -d -r1.23 -r1.24 --- php 19 Sep 2008 07:35:23 -0000 1.23 +++ php 23 Oct 2008 03:03:16 -0000 1.24 @@ -10,7 +10,7 @@ ### BEGIN INIT INFO # Provides: php -# Required-Start: $basebuildtools $libs httpd imap postfix ImageMagick +# Required-Start: $basebuildtools $libs httpd imap postfix ImageMagick net-snmp # Required-Stop: # Default-Start: 1 2 # Default-Stop: @@ -45,7 +45,7 @@ rm ~/.pearrc rm /etc/pear.conf - make $PMAKE CC="gcc -fno-stack-protector" all install || exit 1 + make CC="gcc -fno-stack-protector" all install || exit 1 strip_debug cp -dp php.ini-dist /etc/php.ini || exit 1 |
|
From: Serge L. <sma...@us...> - 2008-10-23 03:01:45
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv17255 Modified Files: patch-o-matic Log Message: - small fix to support the last l7filter release Index: patch-o-matic =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/patch-o-matic,v retrieving revision 1.37 retrieving revision 1.38 diff -u -d -r1.37 -r1.38 --- patch-o-matic 24 Jul 2008 22:03:12 -0000 1.37 +++ patch-o-matic 23 Oct 2008 03:01:34 -0000 1.38 @@ -43,9 +43,9 @@ echo applying iptables netfilter layer 7 patch pushd $IPTABLES_DIR > /dev/null -# patch -p1 < ../netfilter-layer7-*/iptables-layer7-*.patch || exit 1 - patch -p1 < ../netfilter-layer7-*/iptables-1.4.1*2.6.20forward-layer7*.patch || exit 1 - chmod +x extensions/.layer7-test || exit 1 +# patch -p1 < ../netfilter-layer7-*/iptables-1.4.1*2.6.20forward-layer7*.patch || exit 1 + cp -a ../netfilter-layer7-*/iptables-1.4.1.*-2.6.20forward/* extensions/ +# chmod +x extensions/.layer7-test || exit 1 popd > /dev/null touch $KERNEL_DIR/.done_layer7 fi |
|
From: Serge L. <sma...@us...> - 2008-10-23 02:59:35
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv16664 Modified Files: openl2tp Log Message: - fixed autconf bug Index: openl2tp =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/openl2tp,v retrieving revision 1.5 retrieving revision 1.6 diff -u -d -r1.5 -r1.6 --- openl2tp 8 Aug 2008 06:34:57 -0000 1.5 +++ openl2tp 23 Oct 2008 02:59:26 -0000 1.6 @@ -33,6 +33,7 @@ touch openl2tpd-patches.done fi replace_str usl/Makefile "-Wall -Werror" "-Wall " + replace_str ./Makefile "-lreadline" "-lreadline -lncurses" make KERNEL_SRCDIR=$KERNELDIR || exit 1 strip_debug fi |
|
From: Serge L. <sma...@us...> - 2008-10-23 02:58:13
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv16060 Modified Files: net-snmp Log Message: - add lm_sensors patch to net-snmp Index: net-snmp =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/net-snmp,v retrieving revision 1.14 retrieving revision 1.15 diff -u -d -r1.14 -r1.15 --- net-snmp 16 Jun 2008 17:41:54 -0000 1.14 +++ net-snmp 23 Oct 2008 02:58:03 -0000 1.15 @@ -10,7 +10,7 @@ ### BEGIN INIT INFO # Provides: net-snmp -# Required-Start: $basebuildtools glibc zlib openssl perl +# Required-Start: $basebuildtools glibc zlib openssl perl lm_sensors # Required-Stop: # Default-Start: 1 2 # Default-Stop: @@ -28,12 +28,15 @@ case $1 in build ) if [ "$CONFIG_NET_SNMP" = "y" ]; then - # HOT-FIX - #if [ ! -e .net-snmp.ntop.patch ]; then - # bzcat $SRCDIR/net-snmp.ntop.patch.bz2 | patch -p0 || exit 1 - # touch .net-snmp.ntop.patch - #fi - ./configure --prefix=/usr --disable-debugging --sysconfdir=/etc --localstatedir=/var --with-defaults --enable-shared --enable-ipv6 --enable-ucd-compatibility --with-zlib --with-mib-modules="smux" || exit 1 + if [ "$CONFIG_LM_SENSORS" = "y" ]; then + if [ ! -f .lm_sensors-patches.done ]; then + bzcat $SRCDIR/net-snmp-5.4.1-sensors3.patch.bz2 | patch -p0 || exit 1 + touch .lm_sensors-patches.done + fi + OPTIONS="--with-mib-modules=ucd-snmp/lmsensorsMib --with-ldflags=-lsensors" + fi + echo ./configure --prefix=/usr --disable-debugging --sysconfdir=/etc --localstatedir=/var --with-defaults --enable-shared --enable-ipv6 --enable-ucd-compatibility --with-zlib --with-mib-modules="smux" $OPTIONS || exit 1 + ./configure --prefix=/usr --disable-debugging --sysconfdir=/etc --localstatedir=/var --with-defaults --enable-shared --enable-ipv6 --enable-ucd-compatibility --with-zlib --with-mib-modules="smux" $OPTIONS || exit 1 # disable parallel builds make -j1 all || exit 1 strip_debug |
|
From: Serge L. <sma...@us...> - 2008-10-23 02:56:09
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv15153 Modified Files: lm_sensors Log Message: - install libs in order to link against them Index: lm_sensors =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/lm_sensors,v retrieving revision 1.24 retrieving revision 1.25 diff -u -d -r1.24 -r1.25 --- lm_sensors 22 Mar 2007 01:48:37 -0000 1.24 +++ lm_sensors 23 Oct 2008 02:56:03 -0000 1.25 @@ -47,6 +47,8 @@ make user $PMAKE PREFIX=/usr SMP=1 MANDIR=/usr/share/man COMPILE_KERNEL=0 $EXTRA || exit 1 strip_debug + # we have to install this immediately, because this is a library and could be needed by other sources + make user_install PREFIX=/usr SMP=1 MANDIR=/usr/share/man || exit 1 else set_kernel_option CONFIG_I2C_SENSOR n OLDDIR=$(pwd) |
|
From: Serge L. <sma...@us...> - 2008-10-23 02:52:20
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv13729 Modified Files: linux-wlan-ng Log Message: - make it compilable against kernel 2.6.26 Index: linux-wlan-ng =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/linux-wlan-ng,v retrieving revision 1.23 retrieving revision 1.24 diff -u -d -r1.23 -r1.24 --- linux-wlan-ng 12 Mar 2008 12:22:47 -0000 1.23 +++ linux-wlan-ng 23 Oct 2008 02:52:06 -0000 1.24 @@ -41,7 +41,7 @@ echo "TARGET_ROOT_ON_HOST=$TMPDIR" >> default.config if [ ! -f .dl_patch_done ]; then - bzcat $DL_DIR/src/linux-wlan-ng.etc-shared.patch.bz2 | patch -p0 || exit 1 + bzcat $DL_DIR/src/lnux-wlan-ng-build_2-6-26.dpatch.bz2 | patch -p1 || exit 1 touch .dl_patch_done fi |
|
From: Serge L. <sma...@us...> - 2008-10-23 02:46:51
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv11356 Modified Files: dovecot Log Message: - put configs into separate dir Index: dovecot =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/dovecot,v retrieving revision 1.13 retrieving revision 1.14 diff -u -d -r1.13 -r1.14 --- dovecot 18 Dec 2004 23:32:01 -0000 1.13 +++ dovecot 23 Oct 2008 02:46:40 -0000 1.14 @@ -40,7 +40,7 @@ if [ "$CONFIG_POSTGRESQL_CLIENT" = "y" ]; then CONF_OPTIONS="$CONF_OPTIONS --with-pgsql" fi - ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --with-ssl=openssl $CONF_OPTIONS || exit 1 + ./configure --prefix=/usr --sysconfdir=/etc/dovecot --localstatedir=/var --with-ssl=openssl $CONF_OPTIONS || exit 1 make $PMAKE all || exit 1 strip_debug fi |
|
From: Serge L. <sma...@us...> - 2008-10-23 02:44:51
|
Update of /cvsroot/devil-linux/build In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv10483 Modified Files: CHANGES md5sum.lst Log Message: - massive software updates Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1231 retrieving revision 1.1232 diff -u -d -r1.1231 -r1.1232 --- CHANGES 19 Sep 2008 07:35:22 -0000 1.1231 +++ CHANGES 23 Oct 2008 02:44:35 -0000 1.1232 @@ -22,6 +22,42 @@ # 1.3.6 +- updated aoe6 to .64 (sl) +- updated aufs to 20081007 (sl) +- updated binutils to 2.18 (sl) +- updated bonnie++ to 1.03d (sl) +- updated device-mapper to 1.02.28 (sl) +- updated dhcp to 3.1.1 (sl) +- updated dovecot to 1.1.4 (sl) +- updated freeradius-server to 2.1.1 (sl) +- updated grsecurity to 2.1.12-2.6.26.6-200810112208.p (sl) +- updated httpd to 2.2.10 (sl) +- updated iproute2 to 2.6.26 (sl) +- updated iptables to 1.4.2 (sl) +- updated libnetfilter_conntrack to 0.0.97 (sl) +- updated libnfnetlink to 0.0.39 (sl) +- updated libosip2 to 3.1.0 (sl) +- updated kernel to 2.6.26.6 (sl) +- updated linux-wlan-ng to 0.2.9 (sl) +- updated lm_sensorsto 3.0.3 (sl) +- updated LVM2 to 2.02.40 (sl) +- updated mysql to 5.0.67 (sl) +- updated netfilter-layer7 to v2.20 (sl) +- updated nmap to 4.76 (sl) +- updated openl2tp to 1.6 (sl) +- updated openssl to 0.9.8i (sl) +- updated open-vm-tools to 2008.09.03-114782 (sl) +- updated openvpn-2.1 to rc12 (sl) +- updated pax-linux to 2.6.26.6-test30 (sl) +- updated postfix to 2.5.5 (sl) +- updated postgresql to 8.3.4 (sl) +- updated ppp to 2.4.4 (sl) +- updated rsync to 3.0.4 (sl) +- updated screen to 4.0.3 (sl) +- updated siproxd to 0.7.1 (sl) +- updated unionfs to 2.5_for_2.6.26.5 (sl) +- updated vblade to .19 (sl) +- updated xfsprogs to 2.10.1-1 (sl) - reworked the pecl compile code for better inclusion of all wanted pecl modules downside is we need to add a extension=xyz.so to the php.ini - added pecl apc 3.0.19 module for php performance optimizations Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.457 retrieving revision 1.458 diff -u -d -r1.457 -r1.458 --- md5sum.lst 19 Sep 2008 07:35:22 -0000 1.457 +++ md5sum.lst 23 Oct 2008 02:44:35 -0000 1.458 @@ -106,7 +106,7 @@ a78a73092d08eb934837d925983dbeab src/IMQ-iptables-1.4.1.diff.bz2 9cdd2ec825f651ff6b9b5cfa67088974 src/ImageMagick-6.4.1-8.tar.bz2 f75e97be15f2238508d8c43f833739e1 src/LPRng-3.8.29-RC2.tar.gz -32ad429461070f0813aff758e0988bc2 src/LVM2.2.02.39.tgz +91817f19c744691180f1183a87525e1b src/LVM2.2.02.40.tgz be4dd1d34ac5933408e13e48f3eb710a src/Linux-PAM-0.99.10.0.tar.bz2 90901044f52f5213a2abc612b9745c1b src/MOSIX-1.9.0.tgz 6b154c442a335c2a281defe17c8008e8 src/MOSKRN-1.9.0.tgz @@ -122,7 +122,7 @@ a2bc99ac9896a3e060da1d45533198c7 src/alsa-tools-1.0.2.tar.bz2 f1742e00052f01a00fca881d796e6bf4 src/alsa-utils-1.0.2.tar.bz2 a5566c15dbae1f5c86a08482eb405725 src/alsaplayer-0.99.76.tar.bz2 -680ce64e7e647bfdb0f78a2395b9cf29 src/aoe6-62.tar.gz +c5e1ebb734e3b29c0a3d886a700ca44a src/aoe6-64.tar.gz d2e710176430a28d624500e145d9ffe3 src/apcupsd-3.12.1.tar.gz c74dd987ae8006d5a60f2464cedb2b94 src/arping-2.06.tar.gz cebfeb99c4a7c2a6cee2564770415fe7 src/arpwatch-2.1a15.tar.gz @@ -130,7 +130,7 @@ ac0f33a7fb8484eecee9c9e1db112e34 src/asm_types.h.patch bbd5696cb6c7c6432d7338d783c408f2 src/atl2-2.0.5.tar.bz2 867eb6e8863e39900382d77e2b538696 src/attr_2.4.41-1.tar.gz -754c9f1e2b8db8b565323c6dc66d3605 src/aufs-20080616.tar.bz2 +b762f19af63dcd7bcb34d0ea4aa3feda src/aufs-20081007.tar.bz2 36d3fe706ad0950f1be10c46a429efe0 src/autoconf-2.61.tar.bz2 c11b8100bb311492d8220378fd8bf9e0 src/automake-1.9.6.tar.bz2 512cd146247eb178ef023c924f7bb766 src/awstats-6.7.tar.gz @@ -139,14 +139,14 @@ 00bfa16d58e034e3c2aa27f390390d30 src/bash-3.2.tar.gz d541419fd7e5642952d7b48cbb40c712 src/beep-1.2.2.tar.gz 16c893f73a394c8cc36d7900cb9bb801 src/bind-9.5.0-P2.tar.gz -e26e2e06b6e4bf3acf1dc8688a94c0d1 src/binutils-2.17.tar.bz2 -152997864cd8095e46f61c81f6320645 src/binutils-patches.tar.bz2 +9d22ee4dafa3a194457caf4706f9cf01 src/binutils-2.18.tar.bz2 +c8090dac572e97215622f6ec36d4b893 src/binutils-patches.tar.bz2 22327efdd5080e2b1acb6e560a04b43a src/bison-2.3.tar.gz 1cc3cefad872e937e05de5a0a2b390dd src/bluez-firmware-1.2.tar.gz cb9c2e91e71b61dfcc0491b5499a5f4c src/bluez-hcidump-1.34.tar.gz 53275e1824886368f11f586899707e08 src/bluez-libs-3.9.tar.gz 023a5e6a436f86a28baeec91e4c62736 src/bluez-utils-3.9.tar.gz -00b1eee7f98b68fa762c4efb3b34caa1 src/bonnie++-1.03a.tgz +3bdccb241cb7ab53e8efa3a3a55bc4ce src/bonnie++-1.03d.tgz 0182fcac3a2b307113bbec34e5f1c673 src/bridge-utils-1.4.tar.gz c64bbb5c0c3e19f12892941a0ae86c48 src/busybox-1.11.1.tar.bz2 3c15a0c8d1d3ee1c46a1634d00617b1a src/bzip2-1.0.5.tar.gz @@ -190,8 +190,8 @@ d5ece24fb8c24f353c3c93218f8fb24b src/debianutils_2.8.4.tar.gz 7280094f6cc7952051031334d2fdfd14 src/denyhosts.diff.gz 29ade831880b2e0a91d4f49cb73a22dd src/denyhosts_2.5-3.diff.gz -6074f2c2035c2a526422e691c7457277 src/device-mapper.1.02.27.tgz -27d179a3c3fbef576566b456a1168246 src/dhcp-3.1.0.tar.gz +c9ae0776994a419f9e1ba842164bb626 src/device-mapper.1.02.28.tgz +fcc19330a9c3a0efb5620409214652a9 src/dhcp-3.1.1.tar.gz b84d34a44b6667ea012e0aad4f9d71bd src/dhcpcd-2.0.0.tar.bz2 de491252e0329e67aed27d1d01eed120 src/dialog_0.9b-20030308.orig.tar.gz 18d6587cb915e7aa110a5d463d6ed156 src/diffutils-2.8.7.tar.gz @@ -203,7 +203,7 @@ 3db1f5dc6bb72c2504ae37c37947e03f src/dosfstools-2.10-kernel-2.6-1.patch.bz2 af4d03e85985ab222f2811744b9e06bc src/dosfstools-2.10-llseek.patch.bz2 59a02f311a891af8787c4c9e28c6b89b src/dosfstools_2.10.orig.tar.gz -66041d16b077fbfac5bb09f43c943ddd src/dovecot-1.1.rc10.tar.gz +0050dd609cb456c8e52565a85373df28 src/dovecot-1.1.4.tar.gz 056b8c8b3ad9415a52c01b22ff1e64cf src/dspam-3.8.0.tar.gz b931c02e2b23342f664276ef26d1502c src/dvd+rw-tools-5.21.4.10.8.tar.gz 519bc00c3315e127530dbe6968358634 src/e100-3.5.17.tar.gz @@ -228,7 +228,7 @@ 65850d0470078269b33eee58cba77ac2 src/fprobe-1.1.tar.bz2 cdb2e4edc47e8a3d5479eeabfb979ebc src/fprobe-ulog-1.1.tar.bz2 e3f65753cdfe12209a522634b801305d src/frandom-1.0.tar.gz -3f7f3491d619542baa72746cbd6a7ed2 src/freeradius-server-2.0.5.tar.bz2 +4ccf748ef9851d90844d085647351ca4 src/freeradius-server-2.1.1.tar.bz2 ca3f1990522815ccd0a78e9de3afad43 src/freeramdisk.tar.gz fb182d508017cb608e9df8c7dca648dc src/freetype-2.3.6.tar.bz2 d30c35b9820d706ff2f9a6ab3b501247 src/frox-0.7.18.tar.bz2 @@ -260,7 +260,7 @@ c6dd4b5d7e4ae9cc6010dfad5c9855c8 src/gradm-2.1.12-200805181037.tar.gz 52202fe462770fa6be1bb667bd6cf30c src/grep-2.5.1a.tar.bz2 f7c9cf2e4b9967d3af167d7c9fadaae4 src/groff-1.19.2.tar.gz -e642fe7f5c023016f5125440a076b4de src/grsecurity-2.1.12-2.6.25.6-200806092111.patch.bz2 +2d3f94a6abebf7c58f98e4d158f66ddf src/grsecurity-2.1.12-2.6.26.6-200810112208.patch.bz2 cd3f3eb54446be6003156158d51f4884 src/grub-0.97.tar.gz b5bac2d21840ae077e0217bc5e4845b1 src/gzip-1.3.12.tar.gz 19fa013956612581af7d00907990ac84 src/hdparm-8.9.tar.gz @@ -271,7 +271,7 @@ 40416b48cae9c78e5a2452caf214aff3 src/hostapd-0.5.8.tar.gz 58e6995f9df71ce59b0ec2787019e5fe src/hotplug-2004_09_23.tar.bz2 24a53cbaf5fa312145e599d256d81403 src/htb3.6_tc.diff -3afa8137dc1999be695a20b62fdf032b src/httpd-2.2.9.tar.bz2 +6697772ba5f8d34988fe297417ccaacc src/httpd-2.2.10.tar.bz2 96f8b8f837cf68f3cb41d5d7cdddd6fb src/i2c-2.10.5.tar.gz 6030f3ef19cf0e04cb9c83ecdca50c39 src/iANS-3.4.3a.tar.gz c0174e5d2c26dc4f4c9a4c1f79639a3e src/id3-0.76.tar.gz @@ -286,10 +286,10 @@ 57035039daddd242ede848bdcde86ae5 src/insserv-core.diff.bz2 f9ed8a729145ae613b3cdc518f1750e3 src/ipac-ng-1.31.tar.bz2 969832f3a42fc25b44045d73ea483f18 src/ipcalc.tar.bz2 -5737bade2f5e03fad0e2c81da91e551e src/iproute2-2.6.25.tar.bz2 +7d221e735cba05709341cd46401c4ecd src/iproute2-2.6.26.tar.bz2 c0a586924edde35264ecfe94ad1c261f src/ipsec-tools-0.7.tar.bz2 c7d2f165242edaef5581db0f7d5af520 src/ipset-2.3.3a.tar.bz2 -723fa88d8a0915e184f99e03e9bf06cb src/iptables-1.4.1.1.tar.bz2 +a138d1c2e74321e0e4e228a9fb301c9a src/iptables-1.4.2.tar.bz2 377371c28ee3c21a76f7024920649ea8 src/iptraf-3.0.0.tar.gz b00084d8bd80b6af3cbc04d3e6fd32e2 src/iptraf-include-fix.diff.bz2 c7a487ef026bb883f04c3ffa631ee20c src/iptraf-netdevice-fix.diff.bz2 @@ -307,7 +307,7 @@ 9bdffecce7ef910feaa06452d48843de src/joe-3.5.tar.gz dbd5f3b47ed13132f04c685d608a7547 src/jpegsrc.v6b.tar.gz 7892c7010512a9bc6697a295c921da25 src/kbd-1.12.tar.gz -fb2f8acabb13ff380bea238da18c9c4f src/kernel-patches-2.6.tar.bz2 +7f95d44600767f3b22ace6cfa7a8d4ec src/kernel-patches-2.6.tar.bz2 31e7156698a6f214b4067afb9e13728f src/kid-0.9.6.tar.gz f32a9647deed175dd6bcc5e22d907541 src/krb5-1.6.3.tar.gz c5dba6b80f583070fe9e6ed6e0c2162e src/l2tpd-0.69.tar.gz @@ -337,11 +337,11 @@ be845c41170d72c7db524f3411b50256 src/libnet-1.1.2.1.tar.gz 540ff915e5ac52ec0c00af1384abab40 src/libnet-endianess-fix.diff.bz2 629379482a9e5fa4972c2a8dd611251f src/libnet-shared.diff.bz2 -7872e30379cad86ea9d56cdb78e7caa2 src/libnetfilter_conntrack-0.0.94.tar.bz2 -014aa52e39f2b8f296a307ba712ba3c1 src/libnfnetlink-0.0.38.tar.bz2 +25b341b6ae14e0c40e9cf5088fd7ae09 src/libnetfilter_conntrack-0.0.97.tar.bz2 +348fed8c1edbe5b873ffc7b192140093 src/libnfnetlink-0.0.39.tar.bz2 9233cb77876eb642374a0d2bcaba1170 src/libnfsidmap-0.20.tar.gz 1f29be3f4bcddb5b2f3d965e78f04006 src/libol-0.3.16.tar.gz -40ee3ec89030f0d6dfdb2cf6100e6685 src/libosip2-2.2.2.tar.gz +7eb305608256ac2a7a27b66ce52627c8 src/libosip2-3.1.0.tar.gz df1f9875a4c1f4f6be6dd563f0ca7f3e src/libpam-pgsql-0.6.3.tar.bz2 5208f24d0328ee7c20b52c43eaa9aa0e src/libpcap-0.9.8.tar.gz f588cb4ee39e3a333604096f937ea157 src/libpng-1.2.29.tar.bz2 @@ -354,10 +354,10 @@ cbc6d381daaa836b90a7ab449c1bc1ae src/libxml2-2.6.30.tar.bz2 e83ec5d27fc4c10c6f612879bea9a153 src/libxslt-1.1.24.tar.gz 28d31a333c18f5f1ef5031d24ba98114 src/linux-2.6.24-mppe-mppc-1.3.patch.bz2 -db95a49a656a3247d4995a797d333153 src/linux-2.6.25.tar.bz2 -8bf5f94d214691743e290506a871479f src/linux-wlan-ng-svn-20080216.tar.bz2 -4074f4a3863275e86bc192f66fd76854 src/linux-wlan-ng.etc-shared.patch.bz2 -5b210ba9cc01f00161c438fd618484e5 src/lm_sensors-3.0.2.tar.bz2 +5169d01c405bc3f866c59338e217968c src/linux-2.6.26.tar.bz2 +96130b36f9674521b08fb3e2a6ac0382 src/linux-wlan-ng-0.2.9.tar.bz2 +3495dc48d23ce90b122f48b38a6f29cc src/linux-wlan-ng-build_2-6-26.dpatch.bz2 +e88b236228ac2a50821217015b8fd0fa src/lm_sensors-3.0.3.tar.bz2 9ec24a9f2cf588b348adf1a1381af8a4 src/loadlin16c-devil.tar.bz2 552639142e163745f6bcd4f1f3816d8a src/logrotate-3.7.1.tar.gz 937d982006b2a76a83edfcfd2e5a9d7d src/logwatch-7.3.6.tar.gz @@ -392,7 +392,7 @@ 8508a3ea9b612a926f3ed0f229e6c21a src/mtools-3.9.11.tar.bz2 d771061f8da96b80ecca2f69a3a2d594 src/mtr-0.72.tar.gz 6f8c59cc214dbffd555085b1db7272c1 src/mxser.tgz -e6715a878a7c102f7a4c323f9ef63e8f src/mysql-5.0.51b.tar.gz +7164483a5ffb8f7aa59b761c13cdbd6e src/mysql-5.0.67.tar.gz 008d71aac08660bc007f7130ea82ab80 src/nagios-3.0.2.tar.gz 7c1a5cad155dc92a257214c0b67eda63 src/nagios-plugin-pgsql_include_for_8.3.patch.bz2 042783a2180a6987e0b403870b3d01f7 src/nagios-plugins-1.4.11.tar.gz @@ -404,14 +404,14 @@ b6593abe1089d6aab1551c105c9300e3 src/ncurses-5.6.tar.gz 393c6e6ab0803963148e18538601cdec src/ndiswrapper-1.53.tar.gz 6c974df7a5a5b1579f72115e6b045bda src/net-snmp-5.4.1.tar.gz -65c1c36ab2d7a541f5c692270c14f727 src/net-snmp.ntop.patch.bz2 +5ad0331f5827643392d0e253f3d99ae0 src/net-snmp-5.4.1-sensors3.patch.bz2 888774accab40217dde927e21979c165 src/net-tools-1.60.tar.bz2 e4da725325c175f1b4c114c5e305cfa8 src/net-tools_1.60-9.diff.gz c2bc56b61028bce36a5cc3fe7e81058e src/netacct-mysql-0.78.tar.gz -34ccb57e13d965c8355189fab55a932b src/netfilter-layer7-v2.19.tar.gz +525a821c973b730c8feaf9eedb57d1e4 src/netfilter-layer7-v2.20.tar.gz 37a071debfce1dd9596267448f4b56c8 src/netpbm-10.26.46.tgz 167d231850b00c7c63300747aeb94c38 src/nfs-utils-1.1.3.tar.gz -4fdaa418f4008509d4c91ec087131d4e src/nmap-4.62.tar.bz2 +278dd2e849cc3dbb947df961a1aaffd0 src/nmap-4.76.tar.bz2 c011fc1595dd125443df2d357958c85f src/noip_updater_linux_v1.4.tar.gz b2d75e2962f1e3151ef58794d60c9e97 src/nrpe-2.12.tar.gz 33a98e7975f633a9489d7a8938ed6131 src/nsca-2.7.2.tar.gz @@ -421,16 +421,16 @@ 5cc5a621832a70e012462d2069149583 src/ntpconfig-phone.patch.bz2 677a84a83e9be7bc93610413ee696375 src/nut-2.2.2.tar.gz cf1c017496b066b45ffe3d7a303fd6ad src/oidentd-2.0.7.tar.gz -761b6ca4e2f968ea89f6a1bab0439f99 src/open-vm-tools-2008.06.03-96374.tar.gz +76879e3e4cf148f47d0b29fa04310199 src/open-vm-tools-2008.09.03-114782.tar.gz d7043ba34b5038f0113b099ede0884fb src/openh323-v1_18_0-src.tar.gz e1dd82f54cffad3d76da9e712dc58c48 src/openl2tp-0.19_ppp_unix.c.patch.bz2 -02c8320bdb4a5f3cb5e092290a435936 src/openl2tp-1.4.tar.gz +87f035ca5ddf7c61e720f422cdc997cf src/openl2tp-1.6.tar.gz 920fedbbb5bc61c2ca52c56edeef770a src/openldap-2.4.11.tgz 03f2d0c1b5ec60d4ac9997a146d2faec src/openssh-5.1p1.tar.gz 8d7deea5f6d84fef90d1e256990ef048 src/openssl-0.9.8b-sha.diff.bz2 bf768bc75cfb7e1774d314a2bd953f6d src/openssl-0.9.8e-engine.diff.bz2 -7d3d41dafc76cf2fcb5559963b5783b3 src/openssl-0.9.8h.tar.gz -f435e4ad43cf4323e942da570bae4951 src/openvpn-2.1_rc9.tar.gz +561e00f18821c74b2b86c8c7786f9d8b src/openssl-0.9.8i.tar.gz +5f666e500e8d24e5f57bee2f2f8b0bea src/openvpn-2.1_rc12.tar.gz 587171c4e15a40adde8aa1b3d77328e9 src/opt-3.19.tar.gz 212df4b1bcb3e63bea3de23b04e6786e src/p7zip_4.57-libun7zip.patch.bz2 773f78d8b297eb858626667d4dfa93c7 src/p7zip_4.57_src_all.tar.bz2 @@ -439,9 +439,9 @@ a5d27ccbaaad9d9fb254b01a3c12bd06 src/pam_radius-1.3.17.tar.gz 40dd0853d0c1c2cc019d6e2e8146555a src/passwdgen-1.diff.bz2 097cf193d1b040cf0d135945714faa83 src/passwdgen-2.2.tar.gz -5b3f6ce9a5c787859413758ea214a89d src/patch-2.6.25.14.bz2 +522a28eca9b5d5debed3f48997e3da32 src/patch-2.6.26.6.bz2 78ab01088d1cef2109ce7dad94b368b7 src/patch-o-matic-ng-20080612.tar.bz2 -da8b90477c8731714a721477d4514563 src/pax-linux-2.6.25.6-test23.patch.bz2 +4945f6d1617ef947427f21c901c06ec2 src/pax-linux-2.6.26.6-test30.patch.bz2 acf0e368cb33bc2f6a335ba3f5e4fd2b src/pax-utils-0.1.15.tar.bz2 149bcb2508e9bfb092954c294b97f876 src/pci.ids.bz2 9c937db43a72f4ba768af9e1da331885 src/pciutils-2.2.5.tar.gz @@ -456,9 +456,9 @@ 73f823d66f0e8525b77cb45d94fb90c8 src/portmap_5-2.diff.gz 781e16ed4487c4caa082c6fef09ead4f src/portmap_5.orig.tar.gz 4bcce061d059d69f0d77c59dbe4427b4 src/portslave-1.9.11.tar.gz -b0965aea4d548d9bd231af7143aa6942 src/postfix-2.5.2.tar.gz -0ae4bd9620e84d3e08dcf923808d14d0 src/postgresql-8.3.3.tar.bz2 -848f6c3cafeb6074ffeb293c3af79b7c src/ppp-2.4.3.tar.gz +6b4b848bdd2239dddfc9d385e57e19ef src/postfix-2.5.5.tar.gz +c339b9d3c0c4add64c7a76640fc93744 src/postgresql-8.3.4.tar.bz2 +183800762e266132218b204dfb428d29 src/ppp-2.4.4.tar.gz 162619419f060527d2d94a0e64e21d99 src/ppp-patches.tar.bz2 4c3d19286a37459a632c7128c92a9857 src/pptp-1.7.2.tar.gz 4918e0840fa7a14a985fccc22b7025d4 src/pptp-patches.tar.bz2 @@ -489,14 +489,14 @@ 0e32760f498f9cde44081ee6aafc823b src/rp-pppoe-3.8.tar.gz b0c3093d2f0d850760e59ac1db9bf152 src/rpm-4.0.4.tar.gz 841ca303c88f7184cf0aaab07e52dec4 src/rrdtool-1.2.27.tar.gz -16d41aab9ece435198af222c5415a304 src/rsync-3.0.3.tar.gz +2b2d159c9bd1b5f8adfd8b13da3a1f3f src/rsync-3.0.4.tar.gz c5cabb219687c483d259bdb0225e2a57 src/sagator-1.0.0.tar.bz2 fa970fc8b4899f3b6afc09936622f672 src/sagator-libclamav-1.2.3.tar.bz2 cf9fbfbb4215592f9f0e0f8f9d85183d src/sagator-pydspam-0.9.0.tar.bz2 d647ec1f34414fa8691f74536dcccfb5 src/samba-3.0.30.tar.gz 6e2e2c386a89aaff31f048eb2a6c5b1a src/sarg-2.2.3.1.tar.gz f1eb94c7588e878df806b63aa8348174 src/scponly-20080308.tgz -ed68ea9b43d9fba0972cb017a24940a1 src/screen-4.0.2.tar.gz +8506fd205028a96c741e4037de6e3c42 src/screen-4.0.3.tar.gz 7a1cbbbb3341287308e140bd4834c3ba src/sed-4.1.5.tar.gz 31031225d483c0d5ac43e8eb5d0428e0 src/ser-0.9.6_src.tar.gz c4867d72c41564318e0107745eb7a0f2 src/setserial-2.17.tar.gz @@ -507,7 +507,7 @@ ee1e6d4e6703013791e80902c28e8148 src/shorewall-common-4.0.10.1.tar.bz2 e13dcbee8d68d93d50463dc496bb510a src/shorewall-perl-4.0.10.1.tar.bz2 d997c041b035c0cd2aa8e50a26093479 src/shorewall-shell-4.0.10.tar.bz2 -91a572f80dd5a9af5a0f7f207fd34478 src/siproxd-0.5.13.tar.gz +45e5a44803181e2bf3361d562060c904 src/siproxd-0.7.1.tar.gz a282846532ecbd6b4a28072373b3a70b src/smartmontools-5.38.tar.gz a41fd96894ab59ae4df45aa5f3345c52 src/snort-2.8.1.tar.gz a16e9b1e0b557d40624d678bed901b0f src/sqlite-3.6.0.tar.gz @@ -547,7 +547,7 @@ 49c72e712f38c18884bd11a9a3b7e968 src/udev-config-20070731.tar.bz2 b8f93446d52cd1e48323fa49f10a790c src/unarj_2.43-3.diff.gz 7a481dc017f1fbfa7f937a97e66eb99f src/unarj_2.43.orig.tar.gz -38e93c4c145406b403157226398cf7e8 src/unionfs-2.3.3_for_2.6.25.diff.gz +20f30e01467bacebad6ddea40594913a src/unionfs-2.5_for_2.6.26.5.diff.gz 131f879120945137f96cabc685060826 src/unrar-3.6.8_fix.patch.bz2 903363aada5fafa9bd00cac3309e6e45 src/unrarsrc-3.6.8.tar.gz 9d23919999d6eac9217d1f41472034a9 src/unzip552.tar.gz @@ -555,7 +555,7 @@ 88978b4ad891f610620b1b8e5e0f43eb src/usbutils-0.73.tar.gz 424badc1832e4b5291a2ec04e9e244f4 src/util-linux-ng-2.13.1.tar.bz2 850b9ec28d19b25ecf8346f5764d426d src/util-linux-ng-lib.patch.bz2 -aec89ccda97f567656245517ca7b68b4 src/vblade-18.tgz +59d45caa6454388eea60441dcf6631db src/vblade-19.tgz 821fda8f14d674346b87e3ef9cb96389 src/vim-6.3.tar.bz2 5f0c6060b33956fb16e11a15467dd394 src/vlan.1.9.tar.gz d940bcb5f661430cb34ebe2110c25c13 src/vmbin.tar.bz2 @@ -574,7 +574,7 @@ c2fa9d7e771134ac8c89d56b8197d4ca src/wol-0.7.1.tar.gz 45097f269c7847266e121e4a0f362be9 src/wvdial-1.56.tar.gz eb34544384c951fd14470d583273e02a src/wvstreams-4.3.tar.gz -f32ab3282c3e02ce25128f7a6c2d5157 src/xfsprogs_2.9.8-1.tar.gz +8f0410aa8cfea0936969a3aab447009c src/xfsprogs_2.10.1-1.tar.gz 567382d7972613090215c6c54f9b82d9 src/xinetd-2.3.14.tar.gz ab6614c785f5b653fcc69fb9c02058f0 src/xmbmon205.tar.gz 8a852581c831eb6e699a16d741a7ec52 src/yp-tools-2.9.tar.gz |
|
From: Serge L. <sma...@us...> - 2008-10-21 18:43:28
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv15466/scripts Added Files: dhclient.conf Log Message: - default dhclient.conf was modified (simplifyed) --- NEW FILE: dhclient.conf --- send dhcp-lease-time 3600; prepend domain-name-servers 127.0.0.1; request subnet-mask, broadcast-address, time-offset, routers, domain-name, domain-name-servers, host-name; require subnet-mask, domain-name-servers; timeout 60; retry 60; reboot 10; select-timeout 5; initial-interval 2; script "/sbin/dhclient-script"; |
|
From: Serge L. <sma...@us...> - 2008-10-21 18:43:28
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv15466 Modified Files: dhcp Log Message: - default dhclient.conf was modified (simplifyed) Index: dhcp =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/dhcp,v retrieving revision 1.25 retrieving revision 1.26 diff -u -d -r1.25 -r1.26 --- dhcp 28 Feb 2008 16:36:52 -0000 1.25 +++ dhcp 21 Oct 2008 18:43:19 -0000 1.26 @@ -65,7 +65,7 @@ copy_files $TMPDIR/sbin $CDDIR/ || exit 1 copy_files $TMPDIR/usr $CDDIR/ || exit 1 - cp client/dhclient.conf $ETCDIR/etc || exit 1 + cp $MYDIR/scripts/dhclient.conf $ETCDIR/etc || exit 1 cp $MYDIR/scripts/dhcpd.conf $ETCDIR/etc/ || exit 1 cp $MYDIR/scripts/dhcrelay.conf $ETCDIR/etc/ || exit 1 rm -rf $TMPDIR || exit 1 |
|
From: Serge L. <sma...@us...> - 2008-10-07 19:17:09
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv10975 Modified Files: install-on-usb Log Message: - small bugfixes Index: install-on-usb =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/install-on-usb,v retrieving revision 1.27 retrieving revision 1.28 diff -u -d -r1.27 -r1.28 --- install-on-usb 19 Sep 2008 00:44:52 -0000 1.27 +++ install-on-usb 7 Oct 2008 19:16:47 -0000 1.28 @@ -457,15 +457,15 @@ configure_serial_console () { - MESSAGE="Please configure login via serial console ttyS0 manually. \nAdd the following line to /etc/inittab:\n\tS0:2345:respawn:/sbin/agetty -L $SERIALSPEED ttyS0 vt102\nAdd the following line to /etc/securetty:\n\tttyS0\n"; + local MESSAGE="Please configure login via serial console ttyS0 manually. \nAdd the following line to /etc/inittab:\n\tS0:2345:respawn:/sbin/agetty -L $SERIALSPEED ttyS0 vt102\nAdd the following line to /etc/securetty:\n\tttyS0\n"; if ! grep etc-mnt /proc/mounts > /dev/null; then mount -t auto $ETC_PART $TMPDIR/etc-mnt fi if [ -f $TMPDIR/etc-mnt/etc-mods.tar.bz2 ] ; then - tar vpfxj $TMPDIR/etc-mnt/etc-mods.tar.bz2 -C $TMPDIR/etc-for-mods > /dev/null || \ - ( echo "Unable to unpack etc-mods.tar.bz2..."; echo -e $MESSAGE ; return 1 ); + tar pfxj $TMPDIR/etc-mnt/etc-mods.tar.bz2 -C $TMPDIR/etc-for-mods 2> /dev/null || \ + ( echo "Unable to unpack etc-mods.tar.bz2..."; echo -e "$MESSAGE" ; return 1 ); else mkdir -p $TMPDIR/etc-for-mods/etc-mods/ && \ cp -a $TMPDIR/iso-mnt/etc-cd/{inittab,securetty} $TMPDIR/etc-for-mods/etc-mods/ || ( echo -e $MESSAGE ; return 1; ) |
|
From: Heiko Z. <smi...@us...> - 2008-09-27 13:33:56
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv29644 Modified Files: postfix Log Message: make sure apache can send emails (and probably others too) Index: postfix =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/postfix,v retrieving revision 1.36 retrieving revision 1.37 diff -u -d -r1.36 -r1.37 --- postfix 15 Sep 2008 17:18:53 -0000 1.36 +++ postfix 27 Sep 2008 13:33:46 -0000 1.37 @@ -128,6 +128,7 @@ chmod 755 $CDDIR/var/spool/postfix/public || exit 1 chmod 755 $ETCDIR/etc/postfix/post-install || exit 1 chmod 755 $ETCDIR/etc/postfix/postfix-script || exit 1 + chmod o+r $ETCDIR/etc/postfix/* || exit 1 chown 101.0 $CDDIR/var/lib/postfix || exit 1 groupadd -g 101 postfix || exit 1 |
|
From: Heiko Z. <smi...@us...> - 2008-09-19 00:35:37
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6980/scripts Modified Files: php Log Message: - reworked the pecl compile code for better inclusion of all wanted pecl modules downside is we need to add a extension=xyz.so to the php.ini - added pecl apc 3.0.19 module for php performance optimizations - upgraded memcached to 1.2.6 - upgraded memcache pecl module to 3.0.2 - enable php inline-optimization for performance optimizations Index: php =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/php,v retrieving revision 1.22 retrieving revision 1.23 diff -u -d -r1.22 -r1.23 --- php 25 Aug 2008 12:30:29 -0000 1.22 +++ php 19 Sep 2008 07:35:23 -0000 1.23 @@ -29,25 +29,6 @@ build ) IMAPDIR=$(find_src_dir imap) if [ "$CONFIG_PHP" = "y" ]; then - cd ext || exit 1 - rm -rf lzf &> /dev/null || exit 1 - - for FILE in $(ls $DL_DIR/src/pecl/*.tgz) - do - echo "unpacking PECL extension $FILE" - F=${FILE##*/} - DIRNAME=${F%*.tgz} - PACKAGENAME=${F%-*} - test -d $PACKAGENAME && rm -rf $PACKAGENAME - tar -xzf $FILE || exit 1 - mv $DIRNAME $PACKAGENAME || exit 1 - done - mv pecl_http* http || exit 1 - mv LZF lzf || exit 1 - - cd .. || exit 1 - rm configure || exit 1 - ./buildconf --force || exit 1 ./configure --with-apxs2=/usr/sbin/apxs --with-mysql=/usr --disable-cgi --with-openssl --with-zlib --with-bz2 --enable-calendar \ --with-jpeg-dir=/usr --enable-dba --with-gdbm --with-db4 --with-inifile --with-flatfile --with-dom --with-dom-xslt \ @@ -56,12 +37,37 @@ --with-imap=$IMAPDIR --with-imap-ssl --with-openssl --with-iconv --with-curl \ --enable-http --with-http-shared-deps --with-http-curl-requests --with-http-curl-libevent --with-http-zlib-compression \ --sysconfdir=/etc --with-config-file-path=/etc --prefix=/usr --with-gettext \ - --enable-mbstring --enable-memcache --enable-lzf --enable-rar --enable-zip || exit 1 + --enable-mbstring --enable-inline-optimization || exit 1 + # # not working --enable-xslt --with-kerberos # do not use --with-cyrus - make CC="gcc -fno-stack-protector" $PMAKE all || exit 1 + + rm ~/.pearrc + rm /etc/pear.conf + make $PMAKE CC="gcc -fno-stack-protector" all install || exit 1 strip_debug + + cp -dp php.ini-dist /etc/php.ini || exit 1 + + rm -rf DL_pecl &> /dev/null + mkdir -p DL_pecl || exit 1 + mkdir -p DL_pecl/installroot/etc/ || exit 1 + replace_str /etc/php.ini 'extension_dir = "./"' 'extension_dir = "/usr/lib/php/extensions"' + pear config-set php_ini /etc/php.ini + pear config-set ext_dir /usr/lib/php/extensions + pear config-set cfg_dir /etc + for FILE in $(ls $DL_DIR/src/pecl/*.tgz) + do + echo "compiling PECL extension $FILE" + F=${FILE##*/} + DIRNAME=${F%*.tgz} + PACKAGENAME=$(echo ${F%-*} | tr '[:upper:]' '[:lower:]') + yes "" | pecl install --force --nodeps --offline $FILE || yes "" | pear install --force --nodeps --offline $FILE + done + set -x + find /usr/lib/php/extensions -name \*.so -exec mv '{}' /usr/lib/php/extensions/ \; || exit 1 + find /usr/lib/php/extensions -type d | grep -v "^/usr/lib/php/extensions$" | xargs rm -rf fi ;; @@ -76,11 +82,14 @@ rm $TMPDIR/etc/apache2/httpd.conf.bak rm $TMPDIR/etc/apache2/httpd.conf.old cp -dp $TMPDIR/etc/apache2/httpd.conf $ETCDIR/etc/apache2/ - cp -dp php.ini-dist $ETCDIR/etc/php.ini || exit 1 + cp -dp /etc/php.ini $ETCDIR/etc/ || exit 1 + cp -dp /etc/pear.conf $ETCDIR/etc/ || exit 1 rm -rf $TMPDIR/usr/include || exit 1 cp -dpR $TMPDIR/etc/* $ETCDIR/etc/ || exit 1 copy_docs $TMPDIR/ cp -dpR $TMPDIR/usr/* $CDDIR/usr/ || exit 1 + # okay now let's overwrite with all the additional extensions which got installed in /usr + cp -vdpR /usr/lib/php/* $CDDIR/usr/lib/php/ || exit 1 rm -rf $TMPDIR || exit 1 fi |
|
From: Heiko Z. <smi...@us...> - 2008-09-19 00:35:37
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6980 Modified Files: CHANGES md5sum.lst Log Message: - reworked the pecl compile code for better inclusion of all wanted pecl modules downside is we need to add a extension=xyz.so to the php.ini - added pecl apc 3.0.19 module for php performance optimizations - upgraded memcached to 1.2.6 - upgraded memcache pecl module to 3.0.2 - enable php inline-optimization for performance optimizations Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1230 retrieving revision 1.1231 diff -u -d -r1.1230 -r1.1231 --- CHANGES 1 Sep 2008 22:43:03 -0000 1.1230 +++ CHANGES 19 Sep 2008 07:35:22 -0000 1.1231 @@ -22,6 +22,12 @@ # 1.3.6 +- reworked the pecl compile code for better inclusion of all wanted pecl modules + downside is we need to add a extension=xyz.so to the php.ini +- added pecl apc 3.0.19 module for php performance optimizations +- upgraded memcached to 1.2.6 +- upgraded memcache pecl module to 3.0.2 +- enable php inline-optimization for performance optimizations - updated nano to 2.0.8 (bs) - added mod_auth_kerb to Apache (bs) - added http extension to PHP (bs) Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.456 retrieving revision 1.457 diff -u -d -r1.456 -r1.457 --- md5sum.lst 17 Sep 2008 15:21:05 -0000 1.456 +++ md5sum.lst 19 Sep 2008 07:35:22 -0000 1.457 @@ -373,7 +373,7 @@ 18b20db6e40480a53bac2870c56fc3c4 src/mc-4.6.1.tar.gz 19d9f0b15fe68a7cae7e9faa02859c89 src/mcrypt-2.6.5.tar.bz2 4235fc330c9d51e6e613a6eee7ebca76 src/mdadm-2.6.4.tgz -8ac0d1749ded88044f0f850fad979e4d src/memcached-1.2.5.tar.gz +200d22f7ac2d114f74a6904552e9eb70 src/memcached-1.2.6.tar.gz e849eaf4ff3f6f4d7aff32d3dfa1b32c src/memtest86+-2.01.tar.gz 4b80c418bc58add3e40de3be0ac6c02a src/mgetty1.1.30-Dec16.tar.gz d113a853e0ac21c49c5a1acea0daaade src/mhash-0.9.9.tar.bz2 @@ -589,9 +589,10 @@ 5fd86c3316dc49dba172490fdafea5b3 src/special/README e4913aa2edaf097b0627ead6b45fbedc src/special/tzcode2007c.tar.gz 730d744ac691e950066f8b6bd17b02d0 src/special/tzdata2007c.tar.gz +951f43d2873e3572f5d5ae71a9b66f90 src/pecl/APC-3.0.19.tgz 2854e749db157365c769cb9496f5586f src/pecl/Fileinfo-1.0.4.tgz f35d75b70bee9741946c4cb9275a74ab src/pecl/LZF-1.4.tgz -1c340c7ffcd10fcbee9f06c7158eded5 src/pecl/memcache-3.0.1.tgz +06079c86e13a970a2efe40018966acb4 src/pecl/memcache-3.0.2.tgz 72f6a0b0d9e4ddc56ed964609e26ec2c src/pecl/pecl_http-1.6.1.tgz 03c929a38cc012eab839e6f0631f99e7 src/pecl/rar-1.0.0.tgz bc591b4bae8862998bbefcb79d9db232 src/pecl/zip-1.8.10.tgz |
|
From: Serge L. <sma...@us...> - 2008-09-18 17:45:57
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv20910 Modified Files: install-on-usb Log Message: - added serial console configuration Index: install-on-usb =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/install-on-usb,v retrieving revision 1.26 retrieving revision 1.27 diff -u -d -r1.26 -r1.27 --- install-on-usb 9 Sep 2008 21:03:35 -0000 1.26 +++ install-on-usb 19 Sep 2008 00:44:52 -0000 1.27 @@ -10,6 +10,7 @@ # # + TMPDIR="$(pwd)/tmp-install2usb" # You should set $EDITOR or make an editor soft link if you don't like these choices @@ -237,6 +238,8 @@ mkdir -p $TMPDIR/iso-mnt || return 1 mkdir -p $TMPDIR/disk-mnt || return 1 + mkdir -p $TMPDIR/etc-mnt || return 1 + mkdir -p $TMPDIR/etc-for-mods || return 1 echo read -p "Enter DL ISO source (disk file or CD device) -> " DLISO @@ -305,28 +308,38 @@ fi echo + + read -p "Enter seperate partition for configuration (recommended) or enter if same -> " ETC_PART + if [ -z "$ETC_PART" ]; then + ETC_PART=$PARTITION + elif [ ! -b "$ETC_PART" ]; then + echo " Can not find partition \"$ETC_PART\"" + return 1 + else + + echo;echo -n "Would you like to format $ETC_PART ? " + if ask_yes_no ; then + format_partition $ETC_PART || return 1 + else + # Try to mount $DEVICE + mount -t auto $ETC_PART $TMPDIR/etc-mnt || ( echo "Unable to mount $ETC_PART"; return 1 ); + fi + + fi + ETC_FILE="" read -p "Enter configuration file to preload to disk (if any) -> " ETC_FILE if [ -n "$ETC_FILE" ]; then if [ ! -f "$ETC_FILE" ]; then echo " No such file: \"$ETC_FILE\"" return 1 - else - read -p "Enter seperate partition for configuration (recommended) or enter if same -> " ETC_PART - if [ -z "$ETC_PART" ]; then - ETC_PART=$PARTITION - elif [ ! -b "$ETC_PART" ]; then - echo " Can not find partition \"$ETC_PART\"" - return 1 - else - - echo;echo -n "Would you like to format $ETC_PART ? " - if ask_yes_no ; then - format_partition $ETC_PART || return 1 - else - # Try to mount $DEVICE - mount -t auto $ETC_PART $TMPDIR/etc-mnt || ( echo "Unable to mount $ETC_PART"; return 1 ) - fi + fi + else + if [ -f "/DEVIL-LINUX" ]; then + echo;echo -n "Would you like to save current configs to disk?" + if ask_yes_no ; then + umount $TMPDIR/etc-mnt 2> /dev/null + save-config -q -d $ETC_PART || echo -e "Unable to save configs to $ETC_PART \nPlease do it manually after installation.\n\t/bin/save-config -d $ETC_PART" fi fi fi @@ -334,7 +347,7 @@ echo echo "This will install DL on \"$DEVICE\" using the \"$BOOTLOADER\" bootloader. " -# Check the initrd type (INITRAMFS) + # Check the initrd type (INITRAMFS) # Decompress image gunzip $TMPDIR/iso-mnt/boot/initrd.gz -d -c > $TMPDIR/initrd || return 1 if file -b $TMPDIR/initrd | grep -i "cpio archive" > /dev/null 2>&1; then @@ -368,6 +381,12 @@ cat $TMPDIR/iso-mnt/boot/message | sed -e s%"/boot/"%""% > $TMPDIR/disk-mnt/message || return 1 copy_iso_file $DLISO $TMPDIR/disk-mnt/bootcd.iso not_save_permissions || return 1 + if [ "$SERIAL_CONSOLE" = "true" ]; then + cp -a $TMPDIR/disk-mnt/syslinux.cfg $TMPDIR/syslinux.cfg && (echo "serial 0 $SERIALSPEED" > $TMPDIR/disk-mnt/syslinux.cfg && cat $TMPDIR/syslinux.cfg | sed -e s/"append"/"append console=tty0 console=ttyS0,$SERIALSPEED"/g >> $TMPDIR/disk-mnt/syslinux.cfg ) || ( echo "Unable to modify syslinux.cfg file"; return 1 ) + configure_serial_console || echo -e "There is a problem with Serial Console configuration\nPlease check configs (/etc/inittab and /etc/securetty or restart the script"; + fi + + elif [ "$BOOTLOADER" = "grub" ] || [ "$BOOTLOADER" = "lilo" ]; then echo;echo -n "Would you like to format $PARTITION ? " if ask_yes_no ; then @@ -404,6 +423,7 @@ return 1 fi + if [ -n "$ETC_FILE" ]; then mount -t auto $ETC_PART $TMPDIR/etc-mnt echo @@ -413,9 +433,69 @@ umount $TMPDIR/etc-mnt > /dev/null fi + if [ "$SERIAL_CONSOLE" = "true" ]; then + configure_serial_console || ( echo -e "There is a problem with Serial Console configuration\nPlease check configs (/etc/inittab and /etc/securetty or restart the script"; return 1 ; ) + umount $TMPDIR/etc-mnt 2> /dev/null + fi + return 0; } +modify_inittab () { + if ! grep "^S0:2345:respawn:/sbin/agetty" $TMPDIR/etc-for-mods/etc-mods/inittab > /dev/null; then + echo "S0:2345:respawn:/sbin/agetty -L $SERIALSPEED ttyS0 vt102" >> $TMPDIR/etc-for-mods/etc-mods/inittab || \ + ( echo -e "Please configure login via serial console ttyS0 manually. \nAdd the following line to /etc/inittab:\n\tS0:2345:respawn:/sbin/agetty -L $SERIALSPEED ttyS0 vt102\n"; return 1 ) + fi +} + +modify_securetty () { + if ! grep "^ttyS0" $TMPDIR/etc-for-mods/etc-mods/securetty > /dev/null; then + echo "ttyS0" >> $TMPDIR/etc-for-mods/etc-mods/securetty || \ + ( "Please configure login via serial console ttyS0 manually. \nAdd the following line to /etc/securetty:\n\tttyS0\n"; return 1) + fi +} + +configure_serial_console () { + + MESSAGE="Please configure login via serial console ttyS0 manually. \nAdd the following line to /etc/inittab:\n\tS0:2345:respawn:/sbin/agetty -L $SERIALSPEED ttyS0 vt102\nAdd the following line to /etc/securetty:\n\tttyS0\n"; + + if ! grep etc-mnt /proc/mounts > /dev/null; then + mount -t auto $ETC_PART $TMPDIR/etc-mnt + fi + + if [ -f $TMPDIR/etc-mnt/etc-mods.tar.bz2 ] ; then + tar vpfxj $TMPDIR/etc-mnt/etc-mods.tar.bz2 -C $TMPDIR/etc-for-mods > /dev/null || \ + ( echo "Unable to unpack etc-mods.tar.bz2..."; echo -e $MESSAGE ; return 1 ); + else + mkdir -p $TMPDIR/etc-for-mods/etc-mods/ && \ + cp -a $TMPDIR/iso-mnt/etc-cd/{inittab,securetty} $TMPDIR/etc-for-mods/etc-mods/ || ( echo -e $MESSAGE ; return 1; ) + fi + + if [ -f $TMPDIR/etc-for-mods/etc-mods/inittab ]; then + modify_inittab || return 1; + else + cp -a $TMPDIR/iso-mnt/etc-cd/inittab $TMPDIR/etc-for-mods/etc-mods/inittab || + ( echo -e "Please configure login via serial console ttyS0 manually. \nAdd the following line to /etc/inittab:\n\tS0:2345:respawn:/sbin/agetty -L $SERIALSPEED ttyS0 vt102\n"; ) + modify_inittab || return 1; + fi + + if [ -f $TMPDIR/etc-for-mods/etc-mods/securetty ]; then + modify_securetty || return 1; + else + cp -a $TMPDIR/iso-mnt/etc-cd/securetty $TMPDIR/etc-for-mods/etc-mods/securetty || \ + ( "Please configure login via serial console ttyS0 manually. \nAdd the following line to /etc/securetty:\n\tttyS0\n"; return 1) + modify_securetty || return 1; + fi + + tar -C $TMPDIR/etc-for-mods -c -j -f $TMPDIR/etc-mnt/etc-mods.tar.bz2.new etc-mods root && \ + mv $TMPDIR/etc-mnt/etc-mods.tar.bz2.new $TMPDIR/etc-mnt/etc-mods.tar.bz2 || \ + ( echo "Unable to unpack etc-mods.tar.bz2..."; return 1; ) + + return 0 + +} + + format_partition () { local PARTITION=$1 @@ -544,18 +624,20 @@ echo echo "Select which bootloader you want to use:" echo " 1) SysLinux" -echo " 2) Grub" -echo " 3) Grub with serial console" -echo " 4) Lilo" +echo " 2) SysLinux with serial console" +echo " 3) Grub" +echo " 4) Grub with serial console" +echo " 5) Lilo (doesn't work yet)" ANS="" read -p "Choice: " -t 60 -n 1 -rs ANS ANS=${ANS:-1} echo $ANS [ $ANS = "1" ] && BOOTLOADER="syslinux" -[ $ANS = "2" ] && { BOOTLOADER="grub"; SERIAL_CONSOLE=""; } -[ $ANS = "3" ] && { BOOTLOADER="grub"; SERIAL_CONSOLE="true"; } -[ $ANS = "4" ] && BOOTLOADER="lilo" +[ $ANS = "2" ] && { BOOTLOADER="syslinux"; SERIAL_CONSOLE="true"; } +[ $ANS = "3" ] && { BOOTLOADER="grub"; SERIAL_CONSOLE=""; } +[ $ANS = "4" ] && { BOOTLOADER="grub"; SERIAL_CONSOLE="true"; } +[ $ANS = "5" ] && BOOTLOADER="lilo" SERIALSPEED="9600" if [ "$SERIAL_CONSOLE" = "true" ]; then |